.fer-key-collections__item {
  display: grid;
  grid-template-columns: repeat(2, minmax(0, 1fr));

  &.row-reverse .fer-key-collections__item-image {
    order: 1;
  }

  & .fer-key-collections__item-image,
  & .fer-key-collections__item-content {
    width: 100%;
  }

  & .fer-key-collections__item-image {
    width: 100%;
    aspect-ratio: 4/3;
  }
  & .fer-key-collections__item-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
  }

  & .fer-key-collections__item-content {
    padding: 4.8rem;
    align-self: center;

    & > * {
      margin: 0;
    }

    & h3 {
      margin-bottom: 2rem;
    }

    & a {
      margin-top: 3.2rem;
    }
  }
}

/* --- MEDIA: TABLET --- */
@media screen and (max-width: 900px) {
  .fer-key-collections__item .fer-key-collections__item-image {
    aspect-ratio: 1;
  }

  .fer-key-collections__item .fer-key-collections__item-content {
    padding: 3.6rem;
  }
}

@media screen and (max-width: 650px) {
  .fer-key-collections__heading a {
    display: inline-block;
  }

  .fer-key-collections__item {
    grid-template-columns: 1fr;

    &:not(:last-child) {
      margin-bottom: 6rem;
    }

    &.row-reverse .fer-key-collections__item-image {
      order: -1;
    }

    & .fer-key-collections__item-content {
      padding-inline: 1.5rem;
    }
  }
}
